Taifa Identity. Docs
OpenAPI Developers

API reference

Standalone workforce admission

Management API contract View .md

5 management API operations for standalone workforce admission.

GET/v1/institutions/{institution_id}/auth-engine-enrollments

Inventory

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/auth-engine-enrollments

Propose

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredFreshEnrollmentCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
recipientstringYesValidation: min length 3; max length 254

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/review

Review Details

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
identifierpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/approve

Approve

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
identifierpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredidentity__auth_engine_enrollment_router__Reason

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/cancel

Cancel

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
identifierpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredidentity__auth_engine_enrollment_router__Reason

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section